﻿@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Name : <span id="UName"></span></p>
<p>Age : <span id="UAge"></span></p>

<script type="text/javascript">
    $(document).ready(function () {
        var Name, Age;
        var options = {
            type: "POST",
            url: "GetData",
            async: false,
            cache: false,
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (response) {
                if (response != null) {
                    for (key in response) {
                        if (response.hasOwnProperty(key)) {
                            Name = response.Name;
                            Age = response.Age;
                        }
                    }
                } else {
                    alert("something went wrong");
                }
                $("#UName").html(Name);
                $("#UAge").html(Age);
                setInterval(function () { load() }, 5000);
            }
        }
        $.ajax(options);
    });

    function load() {
        var Name, Age;
        var options = {
            type: "POST",
            url: "GetData",
            async: false,
            cache: false,
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (response) {
                if (response != null) {
                    for (key in response) {
                        if (response.hasOwnProperty(key)) {
                            Name = response.Name;
                            Age = response.Age;
                        }
                    }
                } else {
                    alert("something went wrong");
                }
                $("#UName").html(Name);
                $("#UAge").html(Age);
                setInterval(function () { load() }, 5000);
            }
        }
        $.ajax(options);
    }
</script>
